> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Gets all permissions for requesting user

> Gets all permissions for requesting user with optional volume ID or project ID in context field



## OpenAPI

````yaml /api-specs/cloud/domino-volumes-api.yaml post /account/authz/permissions/authorizedactions
openapi: 3.0.0
info:
  contact:
    email: support@dominodatalab.com
    name: Domino Data Lab
    url: https://tickets.dominodatalab.com/hc/en-us
  description: >-
    Microservice responsible for managing Domino Volumes for NetApp ONTAP
    feature
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: Domino Volumes for NetApp ONTAP Microservice API
  version: '1.0'
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is <your-subdomain>.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /account/authz/permissions/authorizedactions:
    post:
      tags:
        - authz
      summary: Gets all permissions for requesting user
      description: >-
        Gets all permissions for requesting user with optional volume ID or
        project ID in context field
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/server.PermissionRequest'
        description: Permissions to check user against
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.PermissionResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
components:
  schemas:
    server.PermissionRequest:
      properties:
        actions:
          description: >-
            Effectively checking permissions, but using "actions" to be
            consistent with the rest of the API
          items:
            $ref: '#/components/schemas/server.PermissionInfo'
          type: array
      required:
        - actions
      type: object
    server.PermissionResponse:
      properties:
        actions:
          description: Effectively are permissions, using "actions" for consistency
          items:
            $ref: '#/components/schemas/server.PermissionResponseInfo'
          type: array
      type: object
    server.HTTPError:
      properties:
        message:
          type: string
      type: object
    server.PermissionInfo:
      properties:
        code:
          $ref: '#/components/schemas/remotefs.PermissionCode'
        context:
          $ref: '#/components/schemas/server.PermissionInfoContext'
        id:
          type: string
      required:
        - code
        - context
        - id
      type: object
    server.PermissionResponseInfo:
      properties:
        code:
          $ref: '#/components/schemas/remotefs.PermissionCode'
        id:
          type: string
        result:
          type: boolean
      required:
        - code
        - id
        - result
      type: object
    remotefs.PermissionCode:
      enum:
        - data.manage_filesystems
        - data.view_filesystems
        - data.create_volumes
        - data.manage_volumes
        - data.manage_volumes_for_execution
        - data.read_volumes
        - data.view_volumes
        - data.mark_volumes_for_deletion
        - data.delete_volumes
        - data.edit_security_volumes
        - data.project.perform_net_app_actions_in_project
      type: string
      x-enum-varnames:
        - ManageFilesystemsCode
        - ViewFilesystemsCode
        - CreateVolumesCode
        - ManageVolumesCode
        - ManageVolumesForExecutionCode
        - ReadVolumesCode
        - ViewVolumesCode
        - MarkVolumesForDeletionCode
        - DeleteVolumesCode
        - EditSecurityVolumesCode
        - PerformNetAppActionsInProjectCode
    server.PermissionInfoContext:
      properties:
        projectId:
          type: string
        volumeId:
          type: string
      type: object

````